summaryrefslogtreecommitdiff
path: root/jenkins.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2015-06-03 09:34:24 +0200
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2015-06-05 15:48:57 +0000
commit9ef60b3a400f7bdfe270064f2c2bcad2b0036140 (patch)
tree3d7f0b2ac3fff3ba25650b0467c66e460a42c780 /jenkins.sh
parentcc08bb4db020e803205345fc42829cd5c34a38ef (diff)
Workaround "--checkout all" bug
See https://bugs.linaro.org/show_bug.cgi?id=1338 . Change-Id: I839fb0ba270e302bbaa47bd3508cb5bb9957988c
Diffstat (limited to 'jenkins.sh')
-rwxr-xr-xjenkins.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/jenkins.sh b/jenkins.sh
index 125d8438..6b1a6541 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -258,6 +258,11 @@ fi
(
flock -s 9
$CONFIG_SHELL ${abe_dir}/abe.sh ${platform} ${change} --checkout all
+ # Workaround "--checkout all" bug.
+ # See https://bugs.linaro.org/show_bug.cgi?id=1338 .
+ if ! [ -d $user_snapshots/gcc.git ]; then
+ git clone --reference $git_reference/gcc.git http://git.linaro.org/toolchain/gcc.git $user_snapshots/gcc.git
+ fi
) 9>${git_reference}.lock
# Now we build the cross compiler, for a native compiler this becomes